package com.hwrj.cloud.admin.dao;

import com.hwrj.cloud.admin.dto.PmsProductCategoryWithChildrenItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品分类自定义Dao
 * Created by macro on 2018/5/25.
 */
public interface PmsProductCategoryDao {
    /**
     * 获取商品分类及其子分类
     */
    List<PmsProductCategoryWithChildrenItem> listWithChildren();

    long deleteCheck(Long id);

    Integer productNum(@Param("parentId") Long parentId,@Param("id") Long id);
}
