package com.hwrj.cloud.admin.dto.param;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class BigDataListInfoVo {
    /*主键*/
    private long id;
    /**名称**/
    private String name;
    /**图片**/
    private String pic;
    /**
     * 品牌名称
     **/
    private String brandName;
    /**价格**/
    private BigDecimal price;
    /**
     * 供应商id
     */
    private String firmId;
    /**
     * 供应商
     **/
    private String umsCompanyInfo;
    /**
     * 规格
     */
    private String spec;
    /**
     * 保质期
     */
    private String qualityGuaranteePeriod;
    /**
     * 产地
     */
    private String placeOfProduction;
    /**
     * 产品简介
     */
    private String description;
    /**
     * 购买路径集合
     */
    private List<BuyProductInfoVo> buyUrls;
}
