package com.hwrj.cloud.admin.excelEntity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class UmsRollBuyParam extends BaseRowModel {


    @ApiModelProperty(value = "用户名称")
    @ExcelProperty(value = "用户名称")
    private String memberName;

    @ApiModelProperty(value = "消费")
    @ExcelProperty(value = "消费")
    @NumberFormat("###.#")
    private BigDecimal money;


    @ApiModelProperty(value = "产品名称")
    @ExcelProperty(value = "产品名称")
    private String productName;


    @ApiModelProperty(value = "供应商名称")
    @ExcelProperty(value = "供应商名称")
    private String compName;

}
