package com.hwrj.cloud.portal.config;


import com.hwrj.cloud.common.util.SMSUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author xiezt
 */
@Configuration
public class SmsConfiguration {

    @Value("${sms.accessKeyId}")
    private String accessKeyId;

    @Value("${sms.accessKeySecret}")
    private String accessKeySecret;

    @Value("${sms.signName}")
    private String signName;

    @Bean
    SMSUtil getSMSUtil(){
        return new SMSUtil(accessKeyId, accessKeySecret, signName);
    }
}
