package com.hwrj.cloud.portal.domain;

import com.hwrj.cloud.portal.model.PmsProduct;
import com.hwrj.cloud.portal.model.UmsCompanyFile;
import com.hwrj.cloud.portal.model.UmsCompanyInfo;
import com.hwrj.cloud.portal.model.UmsCompanyShop;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
@ApiModel(description = "供应商更详细信息")
public class UmsCompanyInfoDto extends UmsCompanyInfo {
    @ApiModelProperty("文件集合")
    private List<UmsCompanyFile> files;
    @ApiModelProperty("商店集合")
    private List<UmsCompanyShop> shops;
    @ApiModelProperty("生产基地集合")
    private List<UmsMemberOriginDto> origines;

    @ApiModelProperty("产品集合")
    private List<PmsProduct> products;

    @ApiModelProperty("品牌集合")
    private List<BrandVO> brands;

}
