package com.hwrj.cloud.portal.service;

import com.hwrj.cloud.portal.domain.CartPromotionItem;
import com.hwrj.cloud.portal.model.OmsCartItem;

import java.util.List;

/**
 * Created by macro on 2018/8/27.
 * 促销管理Service
 */
public interface OmsPromotionService {
    /**
     * 计算购物车中的促销活动信息
     * @param cartItemList 购物车
     */
    List<CartPromotionItem> calcCartPromotion(List<OmsCartItem> cartItemList);


    /**
     * 计算购物车中的促销活动信息
     * @param cartItemList 购物车
     */
    List<CartPromotionItem>  calcCartPromotionByOne(List<OmsCartItem> cartItemList);
}
