package com.hwrj.cloud.portal.service;

import com.hwrj.cloud.portal.domain.PmsProductVo;
import com.hwrj.cloud.portal.model.PmsProduct;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface PortalProductPulishService {
    /**
     * 创建商品
     */
    @Transactional(isolation = Isolation.DEFAULT,propagation = Propagation.REQUIRED)
    int create(PmsProductVo productVo);



    /**
     * 更新商品
     */
    @Transactional
    int update(Long id, PmsProductVo productVo);

    /**
     * 分页查询商品
     */
    List<PmsProduct> list(Integer pageSize, Integer pageNo);


    /**
     * 获取商品详情
     * @param id
     * @return
     */
     PmsProduct detail(Long id);
 }
