package com.hwrj.cloud.portal.service;

import com.hwrj.cloud.portal.domain.UmsMemberOriginDto;
import com.hwrj.cloud.portal.model.UmsMemberOriginProduct;

import java.util.List;

public interface UmsMemberOriginService {
    /**
     * 获取生产地详细信息
     * @param id
     * @return
     */
    public UmsMemberOriginDto detail(Long id);

    /**
     * 根据供应商获取相应的生产地信息
     * @param companyId
     * @return
     */
    public List<UmsMemberOriginDto> detailListOfCompany(Long companyId);

    /**
     * 根据源产地获取产地的产品信息
     * @return
     */
    public List<UmsMemberOriginProduct> productDetailListFromOriginId(Long originId);
}
