package com.hwrj.cloud.portal;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@ComponentScan(basePackages = {"com.hwrj.cloud.portal","com.hwrj.cloud.security"})
public class ForestPortalApplication {
    public static void main(String[] args) {
        SpringApplication.run(ForestPortalApplication.class, args);
        System.out.println("---------------------移动端启动成功!---------------------");
    }
}

