package com.hwrj.cloud.portal.domain;


import com.hwrj.cloud.portal.model.PmsProduct;
import com.hwrj.cloud.portal.model.PmsProductAttribute;
import com.hwrj.cloud.portal.model.PmsSkuStock;
import lombok.Data;

import java.util.List;

/**
 * 购物车中选择规格的商品信息
 * Created by macro on 2018/8/2.
 */
@Data
public class CartProduct extends PmsProduct {
    private List<PmsProductAttribute> productAttributeList;
    private List<PmsSkuStock> skuStockList;

}
