package com.hwrj.cloud.portal.domain;

import com.hwrj.cloud.portal.model.CmsSubject;
import com.hwrj.cloud.portal.model.PmsBrand;
import com.hwrj.cloud.portal.model.PmsProduct;
import com.hwrj.cloud.portal.model.SmsHomeAdvertise;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 首页内容返回信息封装
 * Created by macro on 2019/1/28.
 */
@Getter
@Setter
public class HomeContentResult {
    //   轮播广告
    private List<SmsHomeAdvertise> advertiseList;
    //推荐品牌
    private List<PmsBrand> brandList;
    //当前秒杀场次
    private HomeFlashPromotion homeFlashPromotion;
    //新品推荐
    private List<PmsProduct> newProductList;
    //人气推荐
    private List<PmsProduct> hotProductList;
    //推荐专题
    private List<CmsSubject> subjectList;
    //首页推广
    private List<SmsHomeAdvertise> promote;

    //供应商
    private List<UmsCompanyInfoDto> companyInfos;

    //个人订单
    private List<OmsOrderDetail> ownOrderDetails;
}
